| Home | Libraries | People | FAQ | More

###### basic_format_context::basic_format_context (2 of 3 overloads)

Constructor.

###### Synopsis

    basic_format_context(
        format_options opts,
        OutputString&& storage);

###### Description

Move constructs an `OutputString` using `storage`. After construction, the output string is cleared. Uses an empty error code as error state. This constructor allows re-using existing memory for the output string.

###### Exception safety

Basic guarantee: exceptions thrown by move-constructing `OutputString` are propagated.